#ifndef __B_TREE__
#define __B_TREE__

#define  T  2
#define  MAX_CHAVES  2 * T - 1    // Quantidade maxima de chaves
#define  MAX_FILHOS  2 * T    // Quantidade maxima de filhos
#define  MIN_OCUP  T - 1    // Ocupação minima em cada pagina

typedef struct _pagina {
    int num_chaves;    // Quantidade de chaves contidas na pagina
    int chaves[MAX_CHAVES];    // Chaves armazenadas na pagina
    struct _pagina *filhos[MAX_FILHOS];    // Ponteiro para os filhos
} Pagina;

bool busca(Pagina *no, int info);
void em_ordem(Pagina *no);
Pagina *insere_arvoreB(Pagina *raiz, int info);

#endif
